from django.contrib import admin

from portfolio.models import Project, ProjectEntry

class ProjectEntryInline(admin.StackedInline):
    model = ProjectEntry
    readonly_fields = ['activity', 'reflection', 'next_steps', 'document_url']


@admin.register(Project)
class ProjectAdmin(admin.ModelAdmin):
    list_display = ('title', 'slug')
    inlines = [
        ProjectEntryInline
    ]

@admin.register(ProjectEntry)
class ProjectEntryAdmin(admin.ModelAdmin):
    list_display = ('activity',)

